Wordpress 3.9 дублирует тег HTML и Eclipse

Eclipse Версия: Luna Release (4.4.0) Версия для Wordpress: 3.9

Файл Wordpress: wp-includes/function.php Линия 2975 - 2976

>

Eclipse validator возвратил два errorse, это два повторяющихся HTML-тега, открытых без кода PHP или эха.

Должен ли я игнорировать его или прокомментировать одну строку?

1 ответ

Это связано с этой ошибкой (закрытой как недействительной)

Подводя итог, говорят, что валидатор eclipse не обрабатывает хорошо теги html внутри php.

Отсюда у вас есть два варианта.

  1. Чище, не так просто. Создайте рабочий набор PHP, чтобы выборочно отключить проверку:

    Обратитесь к документам eclipse. Создайте рабочий набор для разрабатываемого плагина/темы, а затем отфильтруйте содержимое в представлении проблем для этого рабочего набора.

    Это также поможет вам сосредоточиться на источнике, над которым вы работаете.

  2. Легче, не так чисто. Отключить/смягчить проверку по типу:

    Project -> Properties -> Validation -> HTML Syntax
     x Enable project specific settings
    Document Type -> Duplicate DOCTYPE declaration (Change to Warning or Ignore)
    Element -> Unclosed Start tag (Change to Warning or Ignore)

    Последний - для двух ошибок проверки в wp-includes/media-template.php

Также помните, что есть веб-сайт stackexchange, специально предназначенный для Wordpress. Я все равно ответил, потому что это может быть полезно для общего управления проверкой html/php в eclipse.

licensed under cc by-sa 3.0 with attribution.